import {
	ALERT_SETUP,
	ALERT_CLEAR,
	MENU_SELECT,
	SUB_MENU_TOGGLE,
	PROJECT_SELECT,
	SERVER_SELECT,
} from "../actions/actionTypes";

const setupAlert = (title, desc, type, isClosable) => {
	return {
		type: ALERT_SETUP,
		alertTitle: title,
		alertDesc: desc,
		alertType: type,
		isClosable: isClosable,
	};
};

const clearAlert = () => {
	return {
		type: ALERT_CLEAR,
	};
};

const selectSidebarMenuOption = (menuKey) => {
	return {
		type: MENU_SELECT,
		menuKey: menuKey,
	};
};

const selectSubMenuOption = (subMenuKey) => {
	return {
		type: SUB_MENU_TOGGLE,
		subMenuKey: subMenuKey,
	};
};

const storeProject = (id, name) => {
	return {
		type: PROJECT_SELECT,
		projectId: id,
		projectName: name,
	};
};

const storeServer = (id, name) => {
	return {
		type: SERVER_SELECT,
		serverId: id,
		serverName: name,
	};
};

export const createAlert = (title, desc, type, isClosable) => {
	return (dispatch) => {
		dispatch(setupAlert(title, desc, type, isClosable));
	};
};

export const removeAlert = () => {
	return (dispatch) => {
		dispatch(clearAlert());
	};
};

export const selectMenuOption = (menuKey) => {
	return (dispatch) => {
		dispatch(selectSidebarMenuOption(menuKey));
	};
};

export const toggleSubMenuOption = (subMenuKey) => {
	return (dispatch) => {
		dispatch(selectSubMenuOption(subMenuKey));
	};
};

export const selectProject = (id, name) => {
	return (dispatch) => {
		dispatch(storeProject(id, name));
	};
};

export const selectServer = (id, name) => {
	return (dispatch) => {
		dispatch(storeServer(id, name));
	};
};
