import { Button, Card, Col, Form, Icon, Input, Layout, Row } from "antd";
import React from "react";
import { useDispatch } from "react-redux";
// Components
import Navbar from "../../components/Navbar/Navbar";
// Import action
import { auth } from "./../../store/actions/authActions";
// Import styling
import "./SigninStyle.scss";

/**
 * Is the first view the user sees when entering the page (unauthenticated)
 */
function Signin() {
	// State
	const [username, setUsername] = React.useState("");
	const [password, setPassword] = React.useState("");

	const dispatch = useDispatch();

	const handleSubmit = (event) => {
		event.preventDefault();
		//console.log("email:", username + ", password:", password);
		dispatch(auth(username, password));
	};

	return (
		<React.Fragment>
			<Layout>
				{/* Navigation bar */}
				<Navbar />
				{/* Login form */}
				<Row type="flex" align="middle">
					<div className="signin-wrapper">
						{/* Registration form */}
						<Col xs={24}>
							<Card size="small" className="login-form">
								<Form>
									<Form.Item>
										<Input
											prefix={
												<Icon
													type="user"
													style={{ color: "rgba(0,0,0,.25)" }}
												/>
											}
											placeholder="Username"
											value={username}
											onChange={(e) => setUsername(e.target.value)}
										/>
									</Form.Item>
									<Form.Item>
										<Input
											prefix={
												<Icon
													type="lock"
													style={{ color: "rgba(0,0,0,.25)" }}
												/>
											}
											type="password"
											placeholder="Password"
											value={password}
											onChange={(e) => setPassword(e.target.value)}
										/>
									</Form.Item>
									<Form.Item>
										<Button
											type="primary"
											htmlType="submit"
											className="login-form-button"
											onClick={(e) => handleSubmit(e)}
										>
											Sign in
										</Button>
									</Form.Item>
								</Form>
							</Card>
						</Col>
					</div>
				</Row>
			</Layout>
		</React.Fragment>
	);
}

export default Signin;
