package no.autopacker.general.repository.organization;

import no.autopacker.general.entity.organization.Organization;
import no.autopacker.general.entity.tools.Language;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface OrganizationRepository extends JpaRepository<Organization, Long> {

    Organization findByName(String name);

    List<Organization> findAllByNameContaining(String search);

    List<Organization> findOrganizationsByMembersUsernameAndMembersIsEnabled(String username, boolean isEnabled);

    List<Organization> findOrganizationsByMembersUsernameAndMembersIsEnabledAndNameContaining(String username, boolean isEnabled, String search);

}
