package no.autopacker.general.repository.organization;

import no.autopacker.general.entity.organization.Project;
import no.autopacker.general.entity.organization.ProjectApplication;
import no.autopacker.general.entity.tools.Language;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ProjectApplicationRepository extends JpaRepository<ProjectApplication, Long> {

    List<ProjectApplication> findAllByOrganization_NameAndIsAcceptedIsFalse(String name);

    List<ProjectApplication> findAllByOrganization_NameAndMember_UsernameAndIsAcceptedIsFalse(String organization, String username);

    ProjectApplication findByOrganization_NameAndProject_IdAndIsAcceptedIsFalse(String organization, Long projectId);
}
