package no.autopacker.general.repository.organization;

import no.autopacker.general.entity.organization.Project;
import no.autopacker.general.entity.tools.Language;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ProjectRepository extends JpaRepository<Project, Long> {

        List<Project> findAllByOrganization_NameAndIsAcceptedIsTrue(String name);

        Project findByOrganization_NameAndName(String organization, String projectName);

        Project findByOrganization_NameAndId(String organization, Long id);

        List<Project> findAllByOrganization_NameAndAndNameContainingIgnoreCaseAndIsAcceptedIsTrue(String organization, String search);

}
