package no.autopacker.servermanager.init;

import java.util.Arrays;
import no.autopacker.servermanager.entity.Server;
import no.autopacker.servermanager.repository.ServerRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Service;

/**
 * This class is just used for testing. It will run at application start and will persist a dummy server
 */
@Service
public class DBInit implements CommandLineRunner {

    private ServerRepository serverRepository;

    @Autowired
    public DBInit(ServerRepository serverRepository) {
        this.serverRepository = serverRepository;
    }

    @Override
    public void run(String... args) {
        // Delete all servers
        this.serverRepository.deleteAll();

        // Create server
        Server on = new Server("On", "127.0.0.1", "on", "test", "vister");
        Server off = new Server("Off", "127.0.0.1", "off", "test", "vister");
        Server restart = new Server("Restart", "127.0.0.1", "restart", "test", "vister");
        Server unknown = new Server("Unknown", "127.0.0.1", "unknown", "test", "vister");

        Server dummy = new Server("DummyServer", "255.255.255.255", "dummy", "test", "vister");
        dummy.setDescription("This is just a dummy server used to display the server overview page.");
        dummy.setStatus("on");

        on.setStatus("on");
        off.setStatus("off");
        restart.setStatus("restart");
        unknown.setStatus("unknown");
        // Persist to db
        this.serverRepository.saveAll(Arrays.asList(on, off, restart, unknown, dummy));
    }
}