package no.autopacker.authenticationserver.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * Contains configuration that is dynamically set dependent on the active profile
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "autopacker")
public class AppConfig {

    @Value("${autopacker.apiRootUrl}")
    private String apiRootUrl;

    public String getApplicationUrl() {
        return apiRootUrl + ":8080";
    }

    public String getWebApplicationUrl() { return apiRootUrl; }

}
