package no.autopacker.authenticationserver.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.security.core.GrantedAuthority;

import javax.persistence.*;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Data
@Entity
@NoArgsConstructor
public class Authority implements GrantedAuthority {

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    long idAuthority;

    @NotEmpty
    String authority;

    @ManyToOne
    @JoinColumn(name="role_id")
    private Role role;

    public Authority(String authority, Role role) {
        this.authority = authority;
        this.role = role;
    }

}