package no.autopacker.authenticationserver.init;

import no.autopacker.authenticationserver.entity.Role;
import no.autopacker.authenticationserver.entity.User;
import no.autopacker.authenticationserver.repository.PasswordResetTokenRepository;
import no.autopacker.authenticationserver.repository.RoleRepository;
import no.autopacker.authenticationserver.repository.UserRepository;
import no.autopacker.authenticationserver.repository.VerificationTokenRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.security.crypto.password.PasswordEncoder;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;

@Service
public class DBInit implements CommandLineRunner {

    private RoleRepository roleRepository;
    private UserRepository userRepository;
    private PasswordResetTokenRepository passwordResetTokenRepository;
    private VerificationTokenRepository verificationTokenRepository;
    private PasswordEncoder passwordEncoder;

    @Autowired
    public DBInit(RoleRepository roleRepository,
                  UserRepository userRepository,
                  PasswordResetTokenRepository passwordResetTokenRepository,
                  VerificationTokenRepository verificationTokenRepository,
                  PasswordEncoder passwordEncoder) {
        this.roleRepository = roleRepository;
        this.userRepository = userRepository;
        this.passwordResetTokenRepository = passwordResetTokenRepository;
        this.verificationTokenRepository = verificationTokenRepository;
        this.passwordEncoder = passwordEncoder;
    }

    @Override
    public void run(String... args) throws Exception {
//        // Delete tokens
//        this.passwordResetTokenRepository.deleteAll();
//        this.verificationTokenRepository.deleteAll();
//        // Delete admin users
//        this.userRepository.deleteAll();
//        // Delete all roles
//        this.roleRepository.deleteAll();
//
//        // Create roles
//        this.roleRepository.save(new Role("ADMIN"));
//        this.roleRepository.save(new Role("MEMBER"));
//        this.roleRepository.save(new Role("UNVERIFIED"));
//        Role admin = this.roleRepository.findByName("ADMIN");
//        Role member = this.roleRepository.findByName("MEMBER");
//
//        // Create users
//        User vister = new User("vister", "vister@dummy.no", this.passwordEncoder.encode("Admin123"), admin);
//        User johnDoe = new User("johnDoe", "johnDoe@dummy.no", this.passwordEncoder.encode("Admin123"), member);
//        User charlie = new User("charlie", "charlie@dummy.no", this.passwordEncoder.encode("Admin123"), member);
//
//        // Verify users
//        vister.setVerified(true);
//        johnDoe.setVerified(true);
//        charlie.setVerified(true);
//
//        // Add users to list
//        List<User> users = Arrays.asList(vister, johnDoe, charlie);
//        // Persist to db
//        this.userRepository.saveAll(users);
    }
}
