package no.autopacker.authenticationserver.repository;

import no.autopacker.authenticationserver.entity.User;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

/** Interface for communicating with database regarding auth specific tasks */
public interface UserRepository extends JpaRepository<User, Long> {
  User findByUsername(String username);

  User findByEmail(String email);

  User findByUsernameIgnoreCase(String username);

  User findByEmailIgnoreCase(String email);

  List<User> findAllByUsernameContaining(String search);
}
