package no.autopacker.authenticationserver.security;

import no.autopacker.authenticationserver.entity.User;
import no.autopacker.authenticationserver.repository.UserRepository;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.stereotype.Service;

/** Service for finding a UserDetails entity */
@Service
public class UserPrincipalDetailsService implements UserDetailsService {

  private UserRepository userRepository;

  public UserPrincipalDetailsService(UserRepository userRepository) {
    this.userRepository = userRepository;
  }

  /**
   * Returns user that matches the given username
   *
   * @param username users' username
   * @return user that matches the given username
   */
  @Override
  public UserDetails loadUserByUsername(String username) {
    User user = this.userRepository.findByUsername(username);
    if (!user.isEnabled()) {
      user = null;
    }
    return user;
  }
}
